m4_dnl What we know about applications:
m4_dnl #_menu_label is the menu label (can be longer)
m4_dnl #_panel_menu is the panel label (should be short)
m4_dnl #_style_name is the name for the Style
m4_dnl #_icon is the icon for the Style
m4_dnl #_mini is the mini-icon for the Style and for the menu
m4_dnl #_extras are any extra styles needed
m4_dnl #_run is how to run it (as an executable)
m4_dnl #_button[123] are executed in the main button bar - in response to mouse button 1/2/3

m4_dnl To add an app:
m4_dnl o create an entry here
m4_dnl o add an entry in menus.m4
m4_dnl o add an entry in buttons.m4
m4_dnl o customise your hostname/hostname.m4 file if necessary

m4_dnl apps should be assigned to one (or more) of the following categories for menus:
m4_dnl ADD_TO_APPS_MENU
m4_dnl ADD_TO_INTERNET_MENU
m4_dnl ADD_TO_MULTIMEDIA_MENU
m4_dnl ADD_TO_UTILITIES_MENU
m4_dnl ADD_TO_XUTILITIES_MENU
m4_dnl ADD_TO_GAMES_MENU
m4_dnl ADD_TO_OFFICE_MENU
m4_dnl ADD_TO_DEV_MENU

m4_dnl the rule for defining the various application flags (eg RXVT) is
m4_dnl define it if it is runnable (eg 'type rxvt' succeeds)
m4_dnl the name should be the same as the program except in upper case and with funny characters (-) removed
m4_dnl tha value should be the same as its name except in lower case

m4_dnl Note that the argument for GNOME_PROGRAM is the basename of the
m4_dnl /usr/share/applications/*.desktop file without the `.desktop'

m4_dnl ************ Configure items from here down:

DEFINE_IF_RUNABLE(rxvt,{RXVT})
m4_ifdef({RXVT},
m4_define({RXVT_menu_label},Rxvt)
m4_define({RXVT_panel_label},Rxvt)
m4_define({RXVT_mini},mini.xterm.xpm)
m4_define({RXVT_style_name},rxvt*)
m4_define({RXVT_run},{RunFocusWarp `Exec exec rxvt -ls -tn rxvt -sk -title SYSTEMNAME` RXVT RXVT_style_name})
m4_define({RXVT_icon},LinuxMonitor.xpm)
m4_define({RXVT_extras},{SloppyFocus, WindowListSkip})
ADD_TO_UTILITIES_MENU(rxvt)
)

DEFINE_IF_RUNABLE({xterm},{XTERM})
m4_ifdef({XTERM},
m4_define({XTERM_menu_label},Xterm)
m4_define({XTERM_panel_label},Xterm)
m4_define({XTERM_style_name},xterm)
m4_define({XTERM_icon},gnome-color-xterm.xpm)
m4_define({XTERM_mini},mini.xterm.xpm)
m4_define({XTERM_extras},{SloppyFocus, WindowListSkip})
m4_define({XTERM_run},{Exec exec xterm -r -sk -title SYSTEMNAME})
ADD_TO_UTILITIES_MENU(xterm)
)

DEFINE_IF_RUNABLE({xscreensaver-command},{LOCK})
m4_ifdef({LOCK},
m4_define({LOCK_menu_label},Lock)
m4_define({LOCK_panel_label},Lock)
m4_define({LOCK_mini},screensaver-locking.xpm)
m4_define({LOCK_run},{Exec exec xscreensaver-command -lock})
)

DEFINE_IF_RUNABLE({emacs},{EMACS})
m4_ifdef({EMACS},
m4_define({EMACS_menu_label},Emacs)
m4_define({EMACS_panel_label},Emacs)
m4_define({EMACS_style_name},emacs*)
m4_define({EMACS_icon},ColorGNU.xpm)
m4_define({EMACS_mini},mini-ColorGNU.xpm)
m4_define({EMACS_extras},{SkipMapping, StartsAnywhere})
m4_define({EMACS_geom},132x84+0+0)
m4_define({EMACS_run},{Exec exec emacs --geometry EMACS_geom})
ADD_TO_DEV_MENU(emacs)
)

DEFINE_IF_RUNABLE({standard_x_apps},{STANDARDS})
m4_ifdef({STANDARDS},
m4_define({STANDARDS_menu_label},Standard apps)
m4_define({STANDARDS_panel_label},Std apps)
m4_define({STANDARDS_mini},mini/x.xpm)
m4_define({STANDARDS_run},{Exec exec standard_x_apps EMACS_geom})
)

DEFINE_IF_RUNABLE({/opt/netscape/netscape},{NETSCAPE})
m4_ifdef({NETSCAPE},
m4_define({NETSCAPE_menu_label},Netscape)
m4_define({NETSCAPE_panel_label},Netscape)
m4_define({NETSCAPE_style_name},netscape*)
m4_define({NETSCAPE_icon},Netscape.xpm)
m4_define({NETSCAPE_mini},mini.netscape.xpm)
m4_define({NETSCAPE_extras},{SkipMapping, StartsOnPage 0 1 1})
m4_define({NETSCAPE_run},{Exec exec netscape -geometry +0+0})
ADD_TO_INTERNET_MENU(netscape)
)

DEFINE_IF_RUNABLE({sylpheed},{SYLPHEED})
m4_ifdef({SYLPHEED},
m4_define({SYLPHEED_menu_label},Sylpheed)
m4_define({SYLPHEED_panel_label},Sylpheed)
m4_define({SYLPHEED_style_name},*Sylpheed*)
m4_define({SYLPHEED_icon},sylpheed.xpm)
m4_define({SYLPHEED_mini},mini/sylpheed.xpm)
m4_define({SYLPHEED_extras},{SkipMapping, StartsOnPage 0 0 0})
m4_define({SYLPHEED_run},{Exec exec sylpheed -geometry +0+0})
ADD_TO_INTERNET_MENU(sylpheed)
)

DEFINE_IF_RUNABLE({opera},{OPERA})
m4_ifdef({OPERA},
m4_define({OPERA_menu_label},Opera)
m4_define({OPERA_panel_label},Opera)
m4_define({OPERA_style_name},opera)
m4_define({OPERA_icon},opera_48x48.xpm)
m4_define({OPERA_mini},opera_16x16.xpm)
m4_define({OPERA_extras},{StartsOnPage 0 1 1})
m4_define({OPERA_run},{Exec exec opera})
ADD_TO_INTERNET_MENU(opera)
)

DEFINE_IF_RUNABLE({firefox},{MOZILLAFIREFOX})
m4_ifdef({MOZILLAFIREFOX},
m4_define({MOZILLAFIREFOX_menu_label},Mozilla (Firefox))
m4_define({MOZILLAFIREFOX_panel_label},Mozilla)
m4_define({MOZILLAFIREFOX_style_name},*Mozilla*)
m4_define({MOZILLAFIREFOX_icon},mozilla-icon.xpm)
m4_define({MOZILLAFIREFOX_mini},mini/mozilla-icon.xpm)
m4_define({MOZILLAFIREFOX_extras},{SkipMapping, StartsOnPage 0 1 1})
m4_define({MOZILLAFIREFOX_run},{Exec exec firefox})
ADD_TO_INTERNET_MENU(mozillafirefox)
)

# not tested - too old?
DEFINE_IF_RUNABLE({mozilla},{MOZILLA})
m4_ifdef({MOZILLA},
m4_define({MOZILLA_menu_label},Mozilla)
m4_define({MOZILLA_panel_label},Mozilla)
m4_define({MOZILLA_style_name},*Mozilla*)
m4_define({MOZILLA_icon},mozilla-icon.xpm)
m4_define({MOZILLA_mini},mini/mozilla-icon.xpm)
m4_define({MOZILLA_extras},{SkipMapping, StartsOnPage 0 1 1})
m4_define({MOZILLA_run},{Exec exec mozilla})
ADD_TO_INTERNET_MENU(mozilla)
)

# not tested, may need the _run part tweaking:
DEFINE_IF_RUNABLE({MozillaFirebird},{MOZILLAFIREBIRD})
m4_ifdef({MOZILLAFIREBIRD},
m4_define({MOZILLAFIREBIRD_menu_label},Mozilla (Firebird))
m4_define({MOZILLAFIREBIRD_panel_label},Mozilla)
m4_define({MOZILLAFIREBIRD_style_name},*Mozilla*)
m4_define({MOZILLAFIREBIRD_icon},mozilla-icon.xpm)
m4_define({MOZILLAFIREBIRD_mini},mini/mozilla-icon.xpm)
m4_define({MOZILLAFIREBIRD_extras},{SkipMapping, StartsOnPage 0 1 1})
m4_define({MOZILLAFIREBIRD_run},{Exec exec MozillaFirebird})
ADD_TO_INTERNET_MENU(mozillafirebird)
)

DEFINE_IF_RUNABLE({dillo},{DILLO})
m4_ifdef({DILLO},
m4_define({DILLO_menu_label},Dillo)
m4_define({DILLO_panel_label},Dillo)
m4_define({DILLO_style_name},Dillo)
m4_define({DILLO_icon},Dillo.xpm)
m4_define({DILLO_mini},mini/dillo.xpm)
m4_define({DILLO_run},{Exec exec dillo})
ADD_TO_INTERNET_MENU(dillo)
)

DEFINE_IF_RUNABLE({ical},{ICAL})
m4_ifdef({ICAL},
m4_define({ICAL_menu_label},Ical)
m4_define({ICAL_panel_label},Ical)
m4_define({ICAL_style_name},ical)
m4_define({ICAL_icon},ical.xpm)
m4_define({ICAL_mini},mini/ical.xpm)
m4_define({ICAL_run},{Exec exec ical})
ADD_TO_PROD_MENU(ical)
)

DEFINE_IF_RUNABLE({nedit},{NEDIT})
m4_ifdef({NEDIT},
m4_define({NEDIT_menu_label},Nedit)
m4_define({NEDIT_panel_label},Nedit)
m4_define({NEDIT_style_name},nedit)
m4_define({NEDIT_icon},nedit.xpm)
m4_define({NEDIT_mini},mini/nedit.xpm)
m4_define({NEDIT_run},{Exec exec nedit})
ADD_TO_DEV_MENU(nedit)
)

DEFINE_IF_RUNABLE({netbeans},{NETBEANS})
m4_ifdef({NETBEANS},
m4_define({NETBEANS_menu_label},Netbeans)
m4_define({NETBEANS_panel_label},Netbeans)
m4_define({NETBEANS_mini},mini/netbeans.xpm)
m4_define({NETBEANS_run},{Exec exec /opt/netbeans/bin/runide.sh -jdkhome /usr/java/j2sdk1.4.0_02})
ADD_TO_DEV_MENU(netbeans)
)

DEFINE_IF_RUNABLE({gdcalc},{GDCALC})
m4_ifdef({GDCALC},
m4_define({GDCALC_menu_label},Gdcalc)
m4_define({GDCALC_panel_label},Gdcalc)
m4_define({GDCALC_style_name},gdcalc)
m4_define({GDCALC_icon},HP-16C-48.xpm)
m4_define({GDCALC_mini},mini-HP-16C-48.xpm)
m4_define({GDCALC_run},{Exec exec gdcalc 2>/dev/null})
ADD_TO_PROD_MENU(gdcalc)
)

DEFINE_IF_RUNABLE({gjots},{GJOTS})
m4_ifdef({GJOTS},
m4_define({GJOTS_menu_label},Gjots)
m4_define({GJOTS_panel_label},Gjots)
m4_define({GJOTS_style_name},Gjots*)
m4_define({GJOTS_icon},gjots.xpm)
m4_define({GJOTS_mini},mini/x.xpm)
m4_define({GJOTS_run},{Exec exec gjots})
ADD_TO_PROD_MENU(gjots)
)

DEFINE_IF_RUNABLE({haltp},{HALT})
m4_ifdef({HALT},
m4_define({HALT_menu_label},Halt)
m4_define({HALT_panel_label},Halt)
m4_define({HALT_mini},mini-bomb.xpm)
m4_define({HALT_run},Exec exec haltp)
ADD_TO_SYSTEM_MENU(halt)
)

DEFINE_IF_RUNABLE({LinNeighborhood},{LINNEIGH})
m4_ifdef({LINNEIGH},
m4_define({LINNEIGH_menu_label},LinNeighbourhood)
m4_define({LINNEIGH_panel_label},LinNeigh)
m4_define({LINNEIGH_mini},mini-LinNeighborhood.xpm)
m4_define({LINNEIGH_run},Exec exec sh -c "PATH=$PATH:/usr/sbin LinNeighborhood")
m4_define({LINNEIGH_icon},LinNeighborhood.xpm)
ADD_TO_CROSS_MENU(linneigh)
)

DEFINE_IF_RUNABLE({xnest},{XNEST})
m4_ifdef({XNEST},
m4_define({XNEST_menu_label},Xnest)
m4_define({XNEST_panel_label},Xnest)
m4_define({XNEST_mini},mini/x.xpm)
m4_define({XNEST_run},Exec exec Xnest -broadcast)
m4_define({XNEST_icon},NeXTterm4.xpm)
ADD_TO_XUTILITIES_MENU(xnest)
)

DEFINE_IF_RUNABLE({xset},{MOUSE})
m4_ifdef({MOUSE},
m4_define({MOUSE_menu_label},Reset mouse)
m4_define({MOUSE_panel_label},mouse)
m4_define({MOUSE_mini},mini.fvwm.xpm)
m4_define({MOUSE_run},Exec exec xset m)
ADD_TO_XUTILITIES_MENU(mouse)
)

DEFINE_IF_RUNABLE({gmplayer},{GMPLAYER})
m4_ifdef({GMPLAYER},
m4_define({GMPLAYER_menu_label},Gmplayer - audio player)
m4_define({GMPLAYER_panel_label},Gmplayer)
m4_define({GMPLAYER_mini},mini/x.xpm)
m4_define({GMPLAYER_run},Exec exec gmplayer)
ADD_TO_MULTIMEDIA_MENU(gmplayer)
)

DEFINE_IF_RUNABLE({alsaplayer},{ALSAPLAYER})
m4_ifdef({ALSAPLAYER},
m4_define({ALSAPLAYER_menu_label},Alsaplayer - audio player)
m4_define({ALSAPLAYER_panel_label},Alsaplayer)
m4_define({ALSAPLAYER_mini},mini/x.xpm)
m4_define({ALSAPLAYER_run},Exec exec alsaplayer)
ADD_TO_MULTIMEDIA_MENU(alsaplayer)
)

DEFINE_IF_RUNABLE({xine},{XINE})
m4_ifdef({XINE},
m4_define({XINE_menu_label},Xine - movie player)
m4_define({XINE_panel_label},Xine)
m4_define({XINE_mini},mini/x.xpm)
m4_define({XINE_run},Exec exec xine)
ADD_TO_MULTIMEDIA_MENU(xine)
)

DEFINE_IF_RUNABLE({kino},{KINO})
m4_ifdef({KINO},
m4_define({KINO_menu_label},Kino - movie editor)
m4_define({KINO_panel_label},Kino)
m4_define({KINO_mini},mini/x.xpm)
m4_define({KINO_run},Exec exec kino)
ADD_TO_MULTIMEDIA_MENU(kino)
)

DEFINE_IF_RUNABLE({/opt/RealPlayer9/realplay},{REALPLAYER})
m4_ifdef({REALPLAYER},
m4_define({REALPLAYER_menu_label},RealPlayer - media player)
m4_define({REALPLAYER_panel_label},RealPlayer)
m4_define({REALPLAYER_mini},realplaymini.xpm)
m4_define({REALPLAYER_run},Exec exec /opt/RealPlayer9/realplay)
m4_define({REALPLAYER_icon},realplay.xpm)
ADD_TO_INTERNET_MENU(realplayer)
)

DEFINE_IF_RUNABLE({gftp},{GFTP})
m4_ifdef({GFTP},
m4_define({GFTP_menu_label},Gftp - ftp client)
m4_define({GFTP_panel_label},Gftp)
m4_define({GFTP_mini},mini/ftp.xpm)
m4_define({GFTP_run},Exec exec gftp)
m4_define({GFTP_style_name},gftp)
m4_define({GFTP_icon},ftp.xpm)
ADD_TO_INTERNET_MENU(gftp)
)

DEFINE_IF_RUNABLE({applix},{TKMASQ})
m4_ifdef({TKMASQ},
m4_define({TKMASQ_menu_label},Dialler )
m4_define({TKMASQ_panel_label},Dialler )
m4_define({TKMASQ_mini},mini/PhoneTT.xpm)
m4_define({TKMASQ_run},Exec exec tkmasqdial)
m4_define({TKMASQ_icon},PhoneTT.xpm)
ADD_TO_INTERNET_MENU(tkmasq)
)

DEFINE_IF_RUNABLE({wvdial},{WVDIAL})
m4_ifdef({WVDIAL},
m4_define({WVDIAL_menu_label},Dialler)
m4_define({WVDIAL_panel_label},Dialler)
m4_define({WVDIAL_mini},mini/PhoneTT.xpm)
m4_define({WVDIAL_run},FvwmForm FvwmForm-Connector)
m4_define({WVDIAL_icon},PhoneTT.xpm)
ADD_TO_INTERNET_MENU(wvdial)
)

DEFINE_IF_RUNABLE({/opt/applix/applix},{APPLIX})
m4_ifdef({APPLIX},
m4_define({APPLIX_menu_label},Applix)
m4_define({APPLIX_panel_label},Applix)
m4_define({APPLIX_mini},mini-applix.xpm)
m4_define({APPLIX_run},{Exec exec /opt/applix/applix})
m4_define({APPLIX_icon},applix.xpm)
ADD_TO_OFFICE_MENU(applix)
)

DEFINE_IF_RUNABLE({/opt/office52/program/soffice},{STAROFFICE})
m4_ifdef({STAROFFICE},
m4_define({STAROFFICE_menu_label},StarOffice)
m4_define({STAROFFICE_panel_label},StarOffice)
m4_define({STAROFFICE_mini},mini-so52.xpm)
m4_define({STAROFFICE_run},{Exec exec soffice})
ADD_TO_OFFICE_MENU(staroffice)
)

DEFINE_IF_RUNABLE({soffice},{OPENOFFICE})
m4_ifdef({OPENOFFICE},
m4_define({OPENOFFICE_menu_label},OpenOffice)
m4_define({OPENOFFICE_panel_label},OpenOffice)
m4_define({OPENOFFICE_mini},ooo_office.s.xpm)
m4_define({OPENOFFICE_run},{Exec exec soffice})
m4_define({OPENOFFICE_style_name},soffice)
m4_define({OPENOFFICE_icon},ooo_office.l.xpm)
ADD_TO_OFFICE_MENU(openoffice)
)

DEFINE_IF_RUNABLE({xsane},{XSANE})
m4_ifdef({XSANE},
m4_define({XSANE_menu_label},Xsane)
m4_define({XSANE_panel_label},Xsane)
m4_define({XSANE_mini},icons/xsane-16x16.xpm)
m4_define({XSANE_run},{Exec exec xsane})
ADD_TO_MULTIMEDIA_MENU(xsane)
)

DEFINE_IF_RUNABLE({xephem},{XEPHEM})
m4_ifdef({XEPHEM},
m4_define({XEPHEM_menu_label},xephem)
m4_define({XEPHEM_panel_label},xephem)
m4_define({XEPHEM_mini},mini/mini-XEphem.xpm)
m4_define({XEPHEM_run},{Exec exec xephem})
ADD_TO_APPS_MENU(xephem)
)

DEFINE_IF_RUNABLE({xtide},{XTIDE})
m4_ifdef({XTIDE},
m4_define({XTIDE_menu_label},xtide)
m4_define({XTIDE_panel_label},xtide)
m4_define({XTIDE_mini},mini/x.xpm)
m4_define({XTIDE_run},{Exec exec HFILE_PATH=/usr/local/share/xtide/harmonics.world xtide})
ADD_TO_APPS_MENU(xtide)
)

DEFINE_IF_RUNABLE({hwbrowser},{HWBROWSER})
m4_ifdef({HWBROWSER},
m4_define({HWBROWSER_menu_label},hwbrowser)
m4_define({HWBROWSER_panel_label},hwbrowser)
m4_define({HWBROWSER_mini},mini/x.xpm)
m4_define({HWBROWSER_run},{Exec exec hwbrowser})
ADD_TO_SYSTEM_MENU(hwbrowser})
)

DEFINE_IF_RUNABLE({gnome-cdw},{GNOMECD})
m4_ifdef({GNOMECD},
m4_define({GNOMECD_menu_label},gnome-cdw)
m4_define({GNOMECD_panel_label},gnome-cdw)
m4_define({GNOMECD_mini},mini/x.xpm)
m4_define({GNOMECD_run},{Exec exec gnome-cd})
ADD_TO_MULTIMEDIA_MENU(gnomecd)
)

DEFINE_IF_RUNABLE({gnome-cd-properties},{GNOMECD_PROPERTIES})
m4_ifdef({GNOMECD_PROPERTIES},
m4_define({GNOMECD_PROPERTIES_menu_label},gnome-cd-properties)
m4_define({GNOMECD_PROPERTIES_panel_label},gnome-cd-properties)
m4_define({GNOMECD_PROPERTIES_mini},mini/x.xpm)
m4_define({GNOMECD_PROPERTIES_run},{Exec exec gnome-cd-properties})
ADD_TO_UTILITIES_MENU(gnomecd_properties})
)

DEFINE_IF_RUNABLE({gnome-character-map},{GNOME_CHARACTER_MAP})
m4_ifdef({GNOME_CHARACTER_MAP},
m4_define({GNOME_CHARACTER_MAP_menu_label},gnome-character-mapw)
m4_define({GNOME_CHARACTER_MAP_panel_label},gnome-character-mapw)
m4_define({GNOME_CHARACTER_MAP_mini},mini/x.xpm)
m4_define({GNOME_CHARACTER_MAP_run},{Exec exec gnome-character-map})
ADD_TO_UTILITIES_MENU(gnome_character_map)
)

DEFINE_IF_RUNABLE({gnome-sound-properties},{GNOME_SOUND_PROPERTIES})
m4_ifdef({GNOME_SOUND_PROPERTIES},
m4_define({GNOME_SOUND_PROPERTIES_menu_label},gnome-sound-properties)
m4_define({GNOME_SOUND_PROPERTIES_panel_label},gnome-sound-properties)
m4_define({GNOME_SOUND_PROPERTIES_mini},mini/x.xpm)
m4_define({GNOME_SOUND_PROPERTIES_run},{Exec exec gnome-sound-properties})
ADD_TO_MULTIMEDIA_MENU(gnome_sound_properties)
)

DEFINE_IF_RUNABLE({gnome-theme-properties},{GNOME_THEME_PROPERTIES})
m4_ifdef({GNOME_THEME_PROPERTIES},
m4_define({GNOME_THEME_PROPERTIES_menu_label},gnome-theme-properties)
m4_define({GNOME_THEME_PROPERTIES_panel_label},gnome-theme-properties)
m4_define({GNOME_THEME_PROPERTIES_mini},mini/x.xpm)
m4_define({GNOME_THEME_PROPERTIES_run},{Exec exec gnome-theme-properties})
ADD_TO_UTILITIES_MENU(gnome_theme_properties)
)

DEFINE_IF_RUNABLE({redhat-config-date},{REDHAT_CONFIG_DATE})
m4_ifdef({REDHAT_CONFIG_DATE},
m4_define({REDHAT_CONFIG_DATE_menu_label},redhat-config-date)
m4_define({REDHAT_CONFIG_DATE_panel_label},redhat-config-date)
m4_define({REDHAT_CONFIG_DATE_mini},mini/x.xpm)
m4_define({REDHAT_CONFIG_DATE_run},{Exec exec redhat-config-date})
ADD_TO_SYSTEM_MENU(redhat_config_date)
)

DEFINE_IF_RUNABLE({redhat-config-network},{REDHAT_CONFIG_NETWORK})
m4_ifdef({REDHAT_CONFIG_NETWORK},
m4_define({REDHAT_CONFIG_NETWORK_menu_label},redhat-config-network)
m4_define({REDHAT_CONFIG_NETWORK_panel_label},redhat-config-network)
m4_define({REDHAT_CONFIG_NETWORK_mini},mini/x.xpm)
m4_define({REDHAT_CONFIG_NETWORK_run},{Exec exec redhat-config-network})
ADD_TO_SYSTEM_MENU(redhat_config_network)
)

DEFINE_IF_RUNABLE({redhat-config-printer},{REDHAT_CONFIG_PRINTER})
m4_ifdef({REDHAT_CONFIG_PRINTER},
m4_define({REDHAT_CONFIG_PRINTER_menu_label},redhat-config-printer)
m4_define({REDHAT_CONFIG_PRINTER_panel_label},redhat-config-printer)
m4_define({REDHAT_CONFIG_PRINTER_mini},mini/x.xpm)
m4_define({REDHAT_CONFIG_PRINTER_run},{Exec exec redhat-config-printer})
ADD_TO_SYSTEM_MENU(redhat_config_printer)
)

DEFINE_IF_RUNABLE({redhat-config-services},{REDHAT_CONFIG_SERVICES})
m4_ifdef({REDHAT_CONFIG_SERVICES},
m4_define({REDHAT_CONFIG_SERVICES_menu_label},redhat-config-services)
m4_define({REDHAT_CONFIG_SERVICES_panel_label},redhat-config-services)
m4_define({REDHAT_CONFIG_SERVICES_mini},mini/x.xpm)
m4_define({REDHAT_CONFIG_SERVICES_run},{Exec exec redhat-config-services})
ADD_TO_SYSTEM_MENU(redhat_config_services)
)

DEFINE_IF_RUNABLE({redhat-config-users},{REDHAT_CONFIG_USERS})
m4_ifdef({REDHAT_CONFIG_USERS},
m4_define({REDHAT_CONFIG_USERS_menu_label},redhat-config-users)
m4_define({REDHAT_CONFIG_USERS_panel_label},redhat-config-users)
m4_define({REDHAT_CONFIG_USERS_mini},mini/x.xpm)
m4_define({REDHAT_CONFIG_USERS_run},{Exec exec redhat-config-users})
ADD_TO_SYSTEM_MENU(redhat_config_users)
)

DEFINE_IF_RUNABLE({redhat-config-xfree86},{REDHAT_CONFIG_XFREE86})
m4_ifdef({REDHAT_CONFIG_XFREE86},
m4_define({REDHAT_CONFIG_XFREE86_menu_label},redhat-config-xfree86)
m4_define({REDHAT_CONFIG_XFREE86_panel_label},redhat-config-xfree86)
m4_define({REDHAT_CONFIG_XFREE86_mini},mini/x.xpm)
m4_define({REDHAT_CONFIG_XFREE86_run},{Exec exec redhat-config-xfree86})
ADD_TO_XUTILITIES_MENU(redhat_config_xfree86)
)

DEFINE_IF_RUNABLE({redhat-control-network},{REDHAT_CONTROL_NETWORK})
m4_ifdef({REDHAT_CONTROL_NETWORK},
m4_define({REDHAT_CONTROL_NETWORK_menu_label},redhat-control-network)
m4_define({REDHAT_CONTROL_NETWORK_panel_label},redhat-control-network)
m4_define({REDHAT_CONTROL_NETWORK_mini},mini/x.xpm)
m4_define({REDHAT_CONTROL_NETWORK_run},{Exec exec redhat-control-network})
ADD_TO_SYSTEM_MENU(redhat_control_network)
)

DEFINE_IF_RUNABLE({redhat-logviewer},{REDHAT_LOGVIEWER})
m4_ifdef({REDHAT_LOGVIEWER},
m4_define({REDHAT_LOGVIEWER_menu_label},redhat-logviewer)
m4_define({REDHAT_LOGVIEWER_panel_label},redhat-logviewer)
m4_define({REDHAT_LOGVIEWER_mini},mini/x.xpm)
m4_define({REDHAT_LOGVIEWER_run},{Exec exec redhat-logviewer})
ADD_TO_SYSTEM_MENU(redhat_logviewer)
)

m4_dnl availability of xless is probably more problematic than that of the program itself
DEFINE_IF_RUNABLE({xless},{XLOG})
m4_ifdef({XLOG},
m4_define({XLOG_menu_label},X log)
m4_define({XLOG_panel_label},X log)
m4_define({XLOG_mini},mini/x.xpm)
m4_define({XLOG_run},{Exec exec xless .xsession-errors})
ADD_TO_XUTILITIES_MENU(xlog)
)

DEFINE_IF_RUNABLE({xkill},{XKILL})
m4_ifdef({XKILL},
m4_define({XKILL_menu_label},xkill)
m4_define({XKILL_panel_label},xkill)
m4_define({XKILL_mini},mini-bomb.xpm)
m4_define({XKILL_run},{Exec exec xkill})
ADD_TO_XUTILITIES_MENU(xkill)
)

DEFINE_IF_RUNABLE({xcalc},{XCALC})
m4_ifdef({XCALC},
m4_define({XCALC_menu_label},xcalc)
m4_define({XCALC_panel_label},xcalc)
m4_define({XCALC_mini},mini/x.xpm)
m4_define({XCALC_style_name},xcalc)
m4_define({XCALC_icon},xcalc.xpm)
m4_define({XCALC_extras},{NoButton 2,RandomPlacement})
ADD_TO_PROD_MENU(xcalc)
)

DEFINE_IF_RUNABLE({Xdialog},{XCAL})
m4_ifdef({XCAL},
m4_define({XCAL_menu_label},xcal)
m4_define({XCAL_panel_label},xcal)
m4_define({XCAL_mini},mini.x.xpm)m4_dnl - that's a red icon to pick it out a bit
m4_define({XCAL_run},{Exec exec Xdialog --stdout --title "CALENDAR" --calendar "Please choose a date..." 0 0 0 0 0})
ADD_TO_PROD_MENU(xcal)
)

DEFINE_IF_RUNABLE({xpdf},{XPDF})
m4_ifdef({XPDF},
m4_define({XPDF_menu_label},xpdf)
m4_define({XPDF_panel_label},xpdf)
m4_define({XPDF_mini},mini/mini.pdf.xpm)
m4_define({XPDF_run},{Exec exec xpdf})
m4_define({XPDF_style_name},xpdf)
m4_define({XPDF_icon},pdf.xpm)
m4_dnl following is so that xpdf showing a man page of FvwmButtons does not get FvwmButtons' attributes!
m4_define({XPDF_extras},{Title, Handles, BorderWidth 2,Icon XPFD_icon,SloppyFocus,StaysPut,!WindowListSkip})
ADD_TO_UTILITIES_MENU(xpdf)
)

DEFINE_IF_RUNABLE({sunclock},{SUNCLOCK})
m4_ifdef({SUNCLOCK},
m4_define({SUNCLOCK_menu_label},sunclock)
m4_define({SUNCLOCK_panel_label},sunclock)
m4_define({SUNCLOCK_mini},mini/x.xpm)
m4_define({SUNCLOCK_run},{Exec exec sunclock -clockgeom 800x460 -clockimage /usr/share/sunclock/earthmaps/large/sunclock_huge_earthmap.jpg})
m4_define({SUNCLOCK_icon},sunclock.xpm)
ADD_TO_UTILITIES_MENU(sunclock)
)

DEFINE_IF_RUNABLE({xman},{XMAN})
m4_ifdef({XMAN},
m4_define({XMAN_menu_label},Xman)
m4_define({XMAN_panel_label},Xman)
m4_define({XMAN_mini},mini/x.xpm)
m4_define({XMAN_run},{Exec exec xman})
m4_define({XMAN_style_name},xman)
m4_define({XMAN_icon},xman.xpm)
m4_define({XMAN_extras},{RandomPlacement})
ADD_TO_UTILITIES_MENU(xman)
)

DEFINE_IF_RUNABLE({xmag},{XMAG})
m4_ifdef({XMAG},
m4_define({XMAG_menu_label},Xmag)
m4_define({XMAG_panel_label},Xmag)
m4_define({XMAG_mini},mini/x.xpm)
m4_define({XMAG_run},{Exec exec xmag })
m4_define({XMAG_style_name},xmag)
m4_define({XMAG_icon},mag_glass.xpm)
m4_define({XMAG_extras},{RandomPlacement})
ADD_TO_XUTILITIES_MENU(xman)
)

DEFINE_IF_RUNABLE({xfm},{XFM})
m4_ifdef({XFM},
m4_define({XFM_menu_label},Xfm)
m4_define({XFM_panel_label},Xfm)
m4_define({XFM_mini},mini/x.xpm)
m4_define({XFM_run},{Exec exec xfm})
ADD_TO_UTILITIES_MENU(xfm)
)

DEFINE_IF_RUNABLE(xpaint,{XPAINT})
m4_ifdef({XPAINT},
m4_define({XPAINT_menu_label},Xpaint)
m4_define({XPAINT_panel_label},Xpaint)
m4_define({XPAINT_mini},mini/x.xpm)
m4_define({XPAINT_run},{Exec exec xpaint})
ADD_TO_MULTIMEDIA_MENU(xpaint)
)

DEFINE_IF_RUNABLE({xload},{XLOAD})
m4_ifdef({XLOAD},
m4_define({XLOAD_menu_label},X load)
m4_define({XLOAD_panel_label},X load)
m4_define({XLOAD_mini},mini/x.xpm)
m4_define({XLOAD_run},{Exec exec xload})
ADD_TO_SYSTEM_MENU(xload)
)

DEFINE_IF_RUNABLE({xfontsel},{XFONTSEL})
m4_ifdef({XFONTSEL},
m4_define({XFONTSEL_menu_label},X font selector)
m4_define({XFONTSEL_panel_label},xfontsel)
m4_define({XFONTSEL_mini},mini/x.xpm)
m4_define({XFONTSEL_run},{Exec exec xfontsel})
ADD_TO_UTILITIES_MENU(xfontsel)
)

DEFINE_IF_RUNABLE({xclipboard},{XCLIP})
m4_ifdef({XCLIP},
m4_define({XCLIP_menu_label},X clipboard)
m4_define({XCLIP_panel_label},xclipboard)
m4_define({XCLIP_mini},mini/x.xpm)
m4_define({XCLIP_run},{Exec exec xclipboard})
ADD_TO_XUTILITIES_MENU(xclip)
)

DEFINE_IF_RUNABLE({xev},{XEV})
m4_ifdef({XEV},
m4_define({XEV_menu_label},X events)
m4_define({XEV_panel_label},xev)
m4_define({XEV_mini},mini/x.xpm)
m4_define({XEV_run},{Exec exec xev})
ADD_TO_XUTILITIES_MENU(xev)
)

DEFINE_IF_RUNABLE({xcutsel},{XCUTSEL})
m4_ifdef({XCUTSEL},
m4_define({XCUTSEL_menu_label},X cut<>selection)
m4_define({XCUTSEL_panel_label},xcutsel)
m4_define({XCUTSEL_mini},mini/x.xpm)
m4_define({XCUTSEL_run},{Exec exec xcutsel})
ADD_TO_XUTILITIES_MENU(xcutsel)
)

DEFINE_IF_RUNABLE({xcmap},{XCMAP})
m4_ifdef({XCMAP},
m4_define({XCMAP_menu_label},X colourmap)
m4_define({XCMAP_panel_label},xcmap)
m4_define({XCMAP_mini},mini/x.xpm)
m4_define({XCMAP_run},{Exec exec xcmap})
ADD_TO_XUTILITIES_MENU(xcmap)
)

DEFINE_IF_RUNABLE({xvidtune},{XVIDTUNE})
m4_ifdef({XVIDTUNE},
m4_define({XVIDTUNE_menu_label},xvidtune)
m4_define({XVIDTUNE_panel_label},xvidtune)
m4_define({XVIDTUNE_mini},mini/x.xpm)
m4_define({XVIDTUNE_run},{Exec exec xvidtune})
ADD_TO_XUTILITIES_MENU(xvidtune)
)

SIMPLE_PROGRAM(xeyes)
ADD_TO_UTILITIES_MENU(xeyes)

SIMPLE_PROGRAM(efax-gtk)
ADD_TO_OFFICE_MENU(efaxgtk)

DEFINE_IF_RUNABLE({xconsole},{XCONSOLE})
m4_ifdef({XCONSOLE},
m4_define({XCONSOLE_menu_label},X console msgs)
m4_define({XCONSOLE_panel_label},xconsole)
m4_define({XCONSOLE_mini},mini/x.xpm)
m4_define({XCONSOLE_run},{Exec exec xconsole})
ADD_TO_UTILITIES_MENU(xconsole)
)

m4_dnl availability of xless is probably more problematic than that of the program itself
DEFINE_IF_RUNABLE({xless},{XDPYINFO})
m4_ifdef({XDPYINFO},
m4_define({XDPYINFO_menu_label},xdpyinfo)
m4_define({XDPYINFO_panel_label},xdpyinfo)
m4_define({XDPYINFO_mini},mini/x.xpm)
m4_define({XDPYINFO_run},{Exec exec xdpyinfo |xless})
ADD_TO_XUTILITIES_MENU(xdpyinfo)
)

m4_dnl availability of xless is probably more problematic than that of the program itself
DEFINE_IF_RUNABLE({xless},{XWININFO})
m4_ifdef({XWININFO},
m4_define({XWININFO_menu_label},X window info)
m4_define({XWININFO_panel_label},xwininfo)
m4_define({XWININFO_mini},mini/x.xpm)
m4_define({XWININFO_run},{Exec exec xwininfo |xless})
ADD_TO_XUTILITIES_MENU(xwininfo)
)

m4_dnl availability of xless is probably more problematic than that of the program itself
DEFINE_IF_RUNABLE({xless},{XPROP})
m4_ifdef({XPROP},
m4_define({XPROP_menu_label},X window properties)
m4_define({XPROP_panel_label},xprop)
m4_define({XPROP_mini},mini/x.xpm)
m4_define({XPROP_run},{Exec exec xprop |xless})
ADD_TO_XUTILITIES_MENU(xprop)
)

DEFINE_IF_RUNABLE({editres},{EDITRES})
m4_ifdef({EDITRES},
m4_define({EDITRES_menu_label},Editres)
m4_define({EDITRES_panel_label},Editres)
m4_define({EDITRES_mini},mini/x.xpm)
m4_define({EDITRES_run},{Exec exec editres})
ADD_TO_XUTILITIES_MENU(editres)
)

DEFINE_IF_RUNABLE({xrdb},{XRDB})
m4_ifdef({XRDB},
m4_define({XRDB_menu_label},Reload .Xdefaults)
m4_define({XRDB_panel_label},.Xdefaults)
m4_define({XRDB_mini},mini/x.xpm)
m4_define({XRDB_run},{Exec exec xrdb -load $HOME/.Xdefaults})
ADD_TO_XUTILITIES_MENU(xrdb)
)

DEFINE_IF_RUNABLE({xpat2},{PATIENCE})
m4_ifdef({PATIENCE},
m4_define({PATIENCE_menu_label},Patience (Klondike))
m4_define({PATIENCE_panel_label},Patience)
m4_define({PATIENCE_mini},mini/x.xpm)
m4_define({PATIENCE_run},{Exec exec LANG='' xpat2 -rules Klondike -flips 99 -turn 3})
m4_define({PATIENCE_style_name},xpat2)
ADD_TO_GAMES_MENU(patience)
)

DEFINE_IF_RUNABLE({xosview},{XOSVIEW})
m4_ifdef({XOSVIEW},
m4_define({XOSVIEW_menu_label},xosview)
m4_define({XOSVIEW_panel_label},xosview)
m4_define({XOSVIEW_mini},mini/x.xpm)
m4_define({XOSVIEW_run},{Exec exec AS_ROOT xosview -net})m4_dnl you might prefer "sudo xosview -net"
ADD_TO_SYSTEM_MENU(xosview)
)

DEFINE_IF_RUNABLE({xcpustate},{XCPUSTATE})
m4_ifdef({XCPUSTATE},
m4_define({XCPUSTATE_menu_label},xcpustate)
m4_define({XCPUSTATE_panel_label},xcpustate)
m4_define({XCPUSTATE_run},{Exec exec xcpustate -interval 1 -bg "#a4978e" -fg black}})
m4_define({XCPUSTATE_style_name},xcpustate)
m4_define({XCPUSTATE_icon},xcpustate.xpm)
ADD_TO_SYSTEM_MENU(xcpustate)
)

DEFINE_IF_RUNABLE({timetool},{TIMETOOL})
m4_ifdef({TIMETOOL},
m4_define({TIMETOOL_run},{Exec exec AS_ROOT timetool})m4_dnl you might prefer "sudo timetool"
ADD_TO_SYSTEM_MENU(timetool)
)

DEFINE_IF_RUNABLE({vncviewer},{VNCVIEWER})
m4_ifdef({VNCVIEWER},
m4_define({VNCVIEWER_menu_label},vncviewer)
m4_define({VNCVIEWER_panel_label},vncviewer)
m4_define({VNCVIEWER_mini},mini/x.xpm)
m4_define({VNCVIEWER_run},{Exec exec vncviewer -passwd .vnc/passwd})
m4_define({VNCVIEWER_style_name},vncviewer)
ADD_TO_UTILITIES_MENU(vncviewer)
)

SIMPLE_PROGRAM(xgalaga)
ADD_TO_GAMES_MENU(xgalaga)

DEFINE_IF_RUNABLE({xgammon},{BACKGAMMON})
m4_ifdef({BACKGAMMON},
m4_define({BACKGAMMON_menu_label},Backgammon)
m4_define({BACKGAMMON_panel_label},Backgammon)
m4_define({BACKGAMMON_mini},mini/x.xpm)
m4_define({BACKGAMMON_run},{Exec exec xgammon})
m4_define({BACKGAMMON_style_name},xgammon)
ADD_TO_GAMES_MENU(backgammon)
)

DEFINE_IF_RUNABLE({xboard},{CHESS})
m4_ifdef({CHESS},
m4_define({CHESS_menu_label},Chess)
m4_define({CHESS_panel_label},Chess)
m4_define({CHESS_mini},mini/x.xpm)
m4_define({CHESS_run},{Exec exec xboard})
m4_define({CHESS_style_name},xboard)
ADD_TO_GAMES_MENU(xboard)
)

# GNOME GAMES:

SIMPLE_PROGRAM(grect)
m4_ifdef({GRECT},
ADD_TO_GAMES_MENU(grect)
)

SIMPLE_PROGRAM(wmsmixer)
m4_ifdef({WMSMIXER},
ADD_TO_MULTIMEDIA_MENU(wmsmixer)
)

SIMPLE_PROGRAM(gtop)
m4_ifdef({GTOP},
ADD_TO_SYSTEM_MENU(gtop)
)

SIMPLE_PROGRAM(xrlogin)
m4_ifdef({XRLOGIN},
ADD_TO_UTILITIES_MENU(xrlogin)
)

SIMPLE_PROGRAM(usbview)
m4_ifdef({USBVIEW},
ADD_TO_SYSTEM_MENU(usbview)
)

SIMPLE_PROGRAM(gthumb)
m4_ifdef({GTHUMB},
ADD_TO_MULTIMEDIA_MENU(gthumb)
)

SIMPLE_PROGRAM(rox)
m4_ifdef({ROX},
ADD_TO_UTILITIES_MENU(rox)
)

SIMPLE_PROGRAM(smb4k)
m4_ifdef({SMB4K},
ADD_TO_CROSS_MENU(smb4k)
)

m4_dnl Note: the WMxmms shipped with xmms seems to not work here - you need wmxmms
DEFINE_IF_RUNABLE({wmxmms},{WMXMMS})
m4_ifdef({WMXMMS},
m4_define({WMXMMS_menu_label},wmxmms)
m4_define({WMXMMS_panel_label},wmxmms)
m4_define({WMXMMS_mini},mini/x.xpm)
m4_define({WMXMMS_run},{Exec exec wmxmms --single})
m4_define({WMXMMS_icon},wmxmms)
m4_define({WMXMMS_style_name},wmxmms)
)

DEFINE_IF_RUNABLE({rclock},{RCLOCK})
m4_ifdef({RCLOCK},
m4_define({RCLOCK_menu_label},rclock)
m4_define({RCLOCK_panel_label},rclock)
m4_define({RCLOCK_mini},mini/x.xpm)
m4_define({RCLOCK_run},{Exec exec rclock -bg grey75 -update 1})
m4_define({RCLOCK_icon},rclock)
m4_define({RCLOCK_style_name},rclock)
m4_ifdef({TIMETOOL},m4_define({RCLOCK_button1},{TIMETOOL_run}))
)

DEFINE_IF_RUNABLE({xclock},{XCLOCK})
m4_ifdef({XCLOCK},
m4_define({XCLOCK_menu_label},xclock)
m4_define({XCLOCK_panel_label},xclock)
m4_define({XCLOCK_mini},mini/x.xpm)
m4_define({XCLOCK_run},{Exec exec xclock -bg grey75 -update 1})
m4_define({XCLOCK_icon},xclock)
m4_define({XCLOCK_style_name},xclock)
m4_ifdef({TIMETOOL},m4_define({XCLOCK_button1},{TIMETOOL_run}))
)

DEFINE_IF_RUNABLE({ascpu},{ASCPU})
m4_ifdef({ASCPU},
m4_define({ASCPU_menu_label},ascpu)
m4_define({ASCPU_panel_label},ascpu)
m4_define({ASCPU_mini},mini/x.xpm)
m4_define({ASCPU_run},{Exec exec ascpu})
m4_define({ASCPU_icon},ascpu)
m4_define({ASCPU_style_name},ascpu)
m4_ifdef({XOSVIEW},m4_define({ASCPU_button1},{XOSVIEW_run}))
m4_ifdef({XCPUSTATE},m4_define({ASCPU_button2},{XCPUSTATE_run}))
m4_ifdef({GTOP},m4_define({ASCPU_button3},{GTOP_run}))
)

m4_dnl this depends on TKMASQ or WVDIAL so define them first
DEFINE_IF_RUNABLE({wmpload},{WMPLOAD})
m4_ifdef({WMPLOAD},
m4_define({WMPLOAD_menu_label},wmpload)
m4_define({WMPLOAD_panel_label},wmpload)
m4_define({WMPLOAD_run},{Exec exec wmpload})
m4_define({WMPLOAD_icon},wmpload)
m4_define({WMPLOAD_style_name},wmpload)
m4_ifdef({TKMASQ},{m4_define({WMPLOAD_button1},{TKMASQ_run})}),
	m4_ifdef({WVDIAL},{m4_define({WMPLOAD_button1},{WVDIAL_run})}))
)

DEFINE_IF_RUNABLE({asmem},{ASMEM})
m4_ifdef({ASMEM},
m4_define({ASMEM_menu_label},asmem)
m4_define({ASMEM_panel_label},asmem)
m4_define({ASMEM_mini},mini/x.xpm)
m4_define({ASMEM_run},{Exec exec asmem})
m4_define({ASMEM_icon},asmem)
m4_define({ASMEM_style_name},asmem)
)

DEFINE_IF_RUNABLE({wmfire},{WMFIRE})
m4_ifdef({WMFIRE},
m4_define({WMFIRE_menu_label},wmfire)
m4_define({WMFIRE_panel_label},wmfire)
m4_define({WMFIRE_mini},mini/x.xpm)
m4_define({WMFIRE_run},{Exec exec wmfire -s 0})
m4_define({WMFIRE_icon},wmfire)
m4_define({WMFIRE_style_name},wmfire)
m4_ifdef({GTOP},m4_define({WMFIRE_button1},{GTOP_run}))
)

DEFINE_IF_RUNABLE({gpa},{GPA})
m4_ifdef({GPA},
m4_define({GPA_menu_label},Gnu Privacy Assistant)
m4_define({GPA_panel_label},gpa)
m4_define({GPA_mini},mini/x.xpm)
m4_define({GPA_run},{Exec exec gpa})
m4_define({GPA_style_name},gpa)
ADD_TO_UTILITIES_MENU(gpa)
)

DEFINE_IF_RUNABLE({porthole},{PORTHOLE})
m4_ifdef({PORTHOLE},
m4_define({PORTHOLE_menu_label},porthole)
m4_define({PORTHOLE_panel_label},porthole)
m4_define({PORTHOLE_mini},mini/x.xpm)
m4_define({PORTHOLE_run},{Exec exec AS_ROOT porthole})
m4_define({PORTHOLE_icon},porthole-icon.png)
m4_define({PORTHOLE_style_name},porthole)
ADD_TO_SYSTEM_MENU(porthole)
)

DEFINE_IF_RUNABLE({gtoaster},{GTOASTER})
m4_ifdef({GTOASTER},
m4_define({GTOASTER_menu_label},gtoaster)
m4_define({GTOASTER_panel_label},gtoaster)
m4_define({GTOASTER_mini},mini/x.xpm)
m4_define({GTOASTER_run},{Exec exec gtoaster})
m4_define({GTOASTER_icon},gtoaster.png)
m4_define({GTOASTER_style_name},gtoaster)
ADD_TO_UTILITIES_MENU(gtoaster)
)

DEFINE_IF_RUNABLE({eroaster},{EROASTER})
m4_ifdef({EROASTER},
m4_define({EROASTER_menu_label},eroaster)
m4_define({EROASTER_panel_label},eroaster)
m4_define({EROASTER_mini},mini/x.xpm)
m4_define({EROASTER_run},{Exec exec eroaster})
m4_define({EROASTER_icon},eroaster.xpm)
m4_define({EROASTER_style_name},eroaster)
ADD_TO_UTILITIES_MENU(eroaster)
)

DEFINE_IF_RUNABLE({gnomba},{GNOMBA})
m4_ifdef({GNOMBA},
m4_define({GNOMBA_menu_label},Gnome Samba browser)
m4_define({GNOMBA_panel_label},gnomba)
m4_define({GNOMBA_mini},mini/x.xpm)
m4_define({GNOMBA_run},{Exec exec gnomba})
m4_define({GNOMBA_icon},gnome-gnomba.png)
m4_define({GNOMBA_style_name},gnomba)
ADD_TO_CROSS_MENU(gnomba)
)

DEFINE_IF_RUNABLE({tkcvs},{TKCVS})
m4_ifdef({TKCVS},
m4_define({TKCVS_menu_label},tkcvs)
m4_define({TKCVS_panel_label},tkcvs)
m4_define({TKCVS_mini},mini/x.xpm)
m4_define({TKCVS_run},{Exec exec tkcvs})
m4_define({TKCVS_style_name},tkcvs)
ADD_TO_DEV_MENU(tkcvs)
)

DEFINE_IF_RUNABLE({wine},{WORD})
m4_ifdef({WORD},
m4_define({WORD_menu_label},winword)
m4_define({WORD_panel_label},winword)
m4_define({WORD_mini},mini/x.xpm)
m4_define({WORD_run},{Exec exec wine ~/.wine/fake_windows/Program\ Files/Microsoft\ Office/Office/WINWORD.EXE})
ADD_TO_OFFICE_MENU(word)
)

DEFINE_IF_RUNABLE({wine},{PWRPNT})
m4_ifdef({PWRPNT},
m4_define({PWRPNT_menu_label},Powerpoint)
m4_define({PWRPNT_panel_label},Powerpoint)
m4_define({PWRPNT_mini},mini/x.xpm)
m4_define({PWRPNT_run},{Exec exec wine ~/.wine/fake_windows/Program\ Files/Microsoft\ Office/Office/POWERPNT.EXE})
ADD_TO_OFFICE_MENU(pwrpnt)
)

DEFINE_IF_RUNABLE({wine},{XL})
m4_ifdef({XL},
m4_define({XL_menu_label},Excel)
m4_define({XL_panel_label},Excel)
m4_define({XL_mini},mini/x.xpm)
m4_define({XL_run},{Exec exec wine ~/.wine/fake_windows/Program\ Files/Microsoft\ Office/Office/EXCEL.EXE})
ADD_TO_OFFICE_MENU(xl)
)

# Gnome2 programs - GNOME2_PROGRAM gets the info from the .desktop file
m4_esyscmd({cd /usr/share/applications; for i in *.desktop; do echo `basename $i .desktop` |sed -e 's/\(.*\)/GNOME2_PROGRAM(\1)/'; done})

# Categorise gnome2 apps into the fvwm menus: add new apps in here as they are installed
m4_ifdef({ABIWORD},ADD_TO_OFFICE_MENU(abiword))								
m4_ifdef({AUDACITY},ADD_TO_MULTIMEDIA_MENU(audacity))						
m4_ifdef({BLACKJACK},ADD_TO_GAMES_MENU(blackjack))							
m4_ifdef({DEVHELP},ADD_TO_DEV_MENU(devhelp))							
m4_ifdef({EOG},ADD_TO_MULTIMEDIA_MENU(eog))							
m4_ifdef({FILEROLLER},ADD_TO_UTILITIES_MENU(fileroller))							
m4_ifdef({FREECELL},ADD_TO_GAMES_MENU(freecell))
m4_ifdef({GAIM},ADD_TO_INTERNET_MENU(gaim))									
m4_ifdef({GATAXX},ADD_TO_GAMES_MENU(gataxx))								
m4_ifdef({GCALCTOOL},ADD_TO_PROD_MENU(gcalctool))
m4_ifdef({GCDMASTER},ADD_TO_UTILITIES_MENU(gcdmaster))						
m4_ifdef({GCONFtool},ADD_TO_SYSTEM_MENU(gconfeditor))
m4_ifdef({GEDIT},ADD_TO_UTILITIES_MENU(gedit))							
m4_ifdef({GFLOPPY},ADD_TO_UTILITIES_MENU(gfloppy))
m4_ifdef({GGV},ADD_TO_UTILITIES_MENU(ggv))							
m4_ifdef({GIMP},ADD_TO_MULTIMEDIA_MENU(gimp))								
m4_ifdef({GJOTS2},ADD_TO_PROD_MENU(gjots2))							
m4_ifdef({GLADE2},ADD_TO_DEV_MENU(glade2))							
m4_ifdef({GLINES},ADD_TO_GAMES_MENU(glines))								
m4_ifdef({GNIBBLES},ADD_TO_GAMES_MENU(gnibbles))							
m4_ifdef({GNOBOTS2},ADD_TO_GAMES_MENU(gnobots2))							
m4_ifdef({GNOMECC},ADD_TO_SYSTEM_MENU(gnomecc))								
m4_ifdef({GNOMECD},ADD_TO_MULTIMEDIA_MENU(gnomecd))							
m4_ifdef({GNOMEDICTIONARY},ADD_TO_OFFICE_MENU(gnomedictionary))				
m4_ifdef({GNOMESEARCHTOOL},ADD_TO_UTILITIES_MENU(gnomesearchtool))			
m4_ifdef({GNOMESOUNDRECORDER},ADD_TO_MULTIMEDIA_MENU(gnomesoundrecorder))	
m4_ifdef({GNOMESTONES},ADD_TO_GAMES_MENU(gnomestones))						
m4_ifdef({GNOMESYSTEMLOG},ADD_TO_SYSTEM_MENU(gnomesystemlog))				
m4_ifdef({GNOMESYSTEMMONITOR},ADD_TO_SYSTEM_MENU(gnomesystemmonitor))		
m4_ifdef({GNOMETRIS},ADD_TO_GAMES_MENU(gnometris))							
m4_ifdef({GNOMEVOLUMECONTROL},ADD_TO_MULTIMEDIA_MENU(gnomevolumecontrol))	
m4_ifdef({GNOMEterminal},ADD_TO_UTILITY_MENU(gnometerminal))
m4_ifdef({GNOMINE},ADD_TO_GAMES_MENU(gnomine))								
m4_ifdef({GNOTRAVEX},ADD_TO_GAMES_MENU(gnotravex))							
m4_ifdef({GNOTSKI},ADD_TO_GAMES_MENU(gnotski))								
m4_ifdef({GNUMERIC},ADD_TO_OFFICE_MENU(gnumeric))							
m4_ifdef({GPDF},ADD_TO_UTILITIES_MENU(gpdf))
m4_ifdef({GRAMPS},ADD_TO_APPS_MENU(gramps))									
m4_ifdef({GRIP},ADD_TO_UTILITIES_MENU(grip))								
m4_ifdef({GSTREAMERPROPERTIES},ADD_TO_MULTIMEDIA_MENU(gstreamerproperties))	
m4_ifdef({GTALI},ADD_TO_GAMES_MENU(gtali))									
m4_ifdef({GUCHARMAP},ADD_TO_UTILITIES_MENU(gucharmap))
m4_ifdef({IAGNO},ADD_TO_GAMES_MENU(iagno))									
m4_ifdef({MAHJONGG},ADD_TO_GAMES_MENU(mahjongg))
m4_ifdef({MELD},ADD_TO_UTILITIES_MENU(meld))
m4_ifdef({NAUTILUS},ADD_TO_UTILITIES_MENU(nautilus))						
m4_ifdef({RECLEVEL},ADD_TO_MULTIMEDIA_MENU(reclevel))
m4_ifdef({SAMEGNOME},ADD_TO_GAMES_MENU(samegnome))							
m4_ifdef({SCREENSAVERPROPERTIES},ADD_TO_XUTILITIES_MENU(screensaverproperties))
m4_ifdef({SOL},ADD_TO_GAMES_MENU(sol))
m4_ifdef({VMWARE},ADD_TO_CROSS_MENU(vmware))								
m4_ifdef({VMWARE},m4_define({VMWARE_extras},{SkipMapping, StartsOnPageIncludesTransients, StartsOnPage 1 0 0}))
m4_ifdef({VUMETER}},ADD_TO_MULTIMEDIA_MENU(vmweter))						
m4_ifdef({XCDROAST},ADD_TO_UTILITIES_MENU(xcdroast))
m4_ifdef({XMMS},ADD_TO_MULTIMEDIA_MENU(xmms))
m4_ifdef({YELP},ADD_TO_UTILITIES_MENU(yelp))

# TEMPLATE (but consider using SIMPLE_PROGRAM!):
DEFINE_IF_RUNABLE({program},{PROGRAM})
m4_ifdef({PROGRAM},
m4_define({PROGRAM_menu_label},program)
m4_define({PROGRAM_panel_label},program)
m4_define({PROGRAM_mini},mini/x.)
m4_define({PROGRAM_run},{Exec exec program})
m4_define({PROGRAM_icon},program)
m4_define({PROGRAM_style_name},program)
m4_define({PROGRAM_extras},)
ADD_TO_APPS_MENU(program)
)

